[blfs-support] on curl-7.30.0 and improper behaviour

lux-integ lux-integ at btconnect.com
Tue Aug 13 11:39:58 PDT 2013


Greeetings,

I have a computer wth these:

--curl -70.30.0, cmake-2.8.11, openldap-2.4.35

I notice each tme I call cmake I get  lines like these 

/usr/local/bin/cmake: /usr/local/lib/libldap-2.4.so.2: no version information 
available (required by /usr/lib/libcurl.so.4)
/usr/local/bin/cmake: /usr/local/lib/liblber-2.4.so.2: no version information 
available (required by /usr/lib/libcurl.so.4)

though the cmake build  goes to completion.

I recently tried building poppler-2.24.0.  As far as I know openldap is not a 
depenfency of poppler but poppler failed to compile ending like  so:-
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_sasl_bind at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_get_dn_ber at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ber_sockbuf_add_io at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_unbind_ext at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_get_attribute_ber at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_parse_result at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_set_option at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_abandon_ext at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to `ldap_msgfree at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to `ldap_result at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_search_ext at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_get_option at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to `ber_memfree at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to `ldap_memfree at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_pvt_url_scheme2proto at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_next_message at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to `ber_free at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_err2string at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to `ldap_init_fd at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to `ldap_msgtype at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_free_urldesc at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_url_parse at OPENLDAP_2.4_2'
/usr/lib64/libcurl.so.4: undefined reference to 
`ldap_first_message at OPENLDAP_2.4_2'
collect2: error: ld returned 1 exit status

I would be grateful   for some advice

a) i.e. whether to upgrade to a new version of cmake or curl or both and if so 
whether to yank out the old version(s) beforehand or just install over.

Thanks in advnance

sinceely
luxInteg



More information about the blfs-support mailing list